|  | Home | Documentation | wst__EncryptionType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

wst__EncryptionType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":EncryptionType is a complexType. More...

`#include <wst.h>`

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":EncryptionType is a complexType.

struct wst__EncryptionType operations:

- wst__EncryptionType* soap_new_wst__EncryptionType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wst__EncryptionType(struct soap*, wst__EncryptionType*) default initialize members
- int soap_read_wst__EncryptionType(struct soap*, wst__EncryptionType*) deserialize from a source
- int soap_write_wst__EncryptionType(struct soap*, wst__EncryptionType*) serialize to a sink
- wst__EncryptionType* soap_dup_wst__EncryptionType(struct soap*, wst__EncryptionType* dst, wst__EncryptionType <em>src) returns deep copy of wst__EncryptionType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__EncryptionType(wst__EncryptionType) deep deletes wst__EncryptionType data members, use only on dst after soap_dup_wst__EncryptionType(NULL, wst__EncryptionType *dst, wst__EncryptionType *src) (use soapcpp2 -Ed)

The documentation for this struct was generated from the following file:

- wst.h